OGRE: Ogre::AnimationStateSet Class Reference - OGRE Documentation

Public Member Functions | Protected Attributes

# Ogre::AnimationStateSet Class Reference
[Animation]

Class encapsulating a set of AnimationState objects. More...

`#include <OgreAnimationState.h>`

Inheritance diagram for Ogre::AnimationStateSet:
[legend]

List of all members.

## Public Member Functions
OGRE_AUTO_MUTEX | AnimationStateSet ()
| Mutex, public for external locking if needed.
| AnimationStateSet (const AnimationStateSet &rhs)
| Create an animation set by copying the contents of another.
| ~AnimationStateSet ()
AnimationState * | createAnimationState (const String &animName, Real timePos, Real length, Real weight=1.0, bool enabled=false)
| Create a new AnimationState instance.
AnimationState * | getAnimationState (const String &name) const
| Get an animation state by the name of the animation.
bool | hasAnimationState (const String &name) const
| Tests if state for the named animation is present.
void | removeAnimationState (const String &name)
| Remove animation state with the given name.
void | removeAllAnimationStates (void)
| Remove all animation states.
AnimationStateIterator | getAnimationStateIterator (void)
| Get an iterator over all the animation states in this set.
ConstAnimationStateIterator | getAnimationStateIterator (void) const
| Get an iterator over all the animation states in this set.
void | copyMatchingState (AnimationStateSet *target) const
| Copy the state of any matching animation states from this to another.
void | _notifyDirty (void)
| Set the dirty flag and dirty frame number on this state set.
unsigned long | getDirtyFrameNumber (void) const
| Get the latest animation state been altered frame number.
void | _notifyAnimationStateEnabled (AnimationState *target, bool enabled)
| Internal method respond to enable/disable an animation state.
bool | hasEnabledAnimationState (void) const
| Tests if exists enabled animation state in this set.
ConstEnabledAnimationStateIterator | getEnabledAnimationStateIterator (void) const
| Get an iterator over all the enabled animation states in this set.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Attributes
unsigned long | mDirtyFrameNumber
AnimationStateMap | mAnimationStates
EnabledAnimationStateList | mEnabledAnimationStates

## Detailed Description

Class encapsulating a set of AnimationState objects.

Definition at line 183 of file OgreAnimationState.h.

## Constructor & Destructor Documentation

OGRE_AUTO_MUTEX Ogre::AnimationStateSet::AnimationStateSet | ( |  | ) |

Mutex, public for external locking if needed.

Create a blank animation state set

Ogre::AnimationStateSet::AnimationStateSet | ( | const AnimationStateSet & | rhs | ) |

Create an animation set by copying the contents of another.

Ogre::AnimationStateSet::~AnimationStateSet | ( |  | ) |

## Member Function Documentation

void Ogre::AnimationStateSet::_notifyAnimationStateEnabled | ( | AnimationState * | target,
|  | bool | enabled |
| ) |  |  |

Internal method respond to enable/disable an animation state.

void Ogre::AnimationStateSet::_notifyDirty | ( | void |  | ) |

Set the dirty flag and dirty frame number on this state set.

void Ogre::AnimationStateSet::copyMatchingState | ( | AnimationStateSet * | target | ) | const

Copy the state of any matching animation states from this to another.

AnimationState* Ogre::AnimationStateSet::createAnimationState | ( | const String & | animName,
|  | Real | timePos,
|  | Real | length,
|  | Real | weight = `1.0`,
|  | bool | enabled = `false` |
| ) |  |  |

Create a new AnimationState instance.

Parameters:

  | animName | The name of the animation
  | timePos | Starting time position
  | length | Length of the animation to play
  | weight | Weight to apply the animation with
  | enabled | Whether the animation is enabled

AnimationState* Ogre::AnimationStateSet::getAnimationState | ( | const String & | name | ) | const

Get an animation state by the name of the animation.

AnimationStateIterator Ogre::AnimationStateSet::getAnimationStateIterator | ( | void |  | ) |

Get an iterator over all the animation states in this set.

Note:
  The iterator returned from this method is not threadsafe, you will need to manually lock the public mutex on this class to ensure thread safety if you need it.

ConstAnimationStateIterator Ogre::AnimationStateSet::getAnimationStateIterator | ( | void |  | ) | const

Get an iterator over all the animation states in this set.

Note:
  The iterator returned from this method is not threadsafe, you will need to manually lock the public mutex on this class to ensure thread safety if you need it.

unsigned long Ogre::AnimationStateSet::getDirtyFrameNumber | ( | void |  | ) | const

Get the latest animation state been altered frame number.

Definition at line 232 of file OgreAnimationState.h.

ConstEnabledAnimationStateIterator Ogre::AnimationStateSet::getEnabledAnimationStateIterator | ( | void |  | ) | const

Get an iterator over all the enabled animation states in this set.

Note:
  The iterator returned from this method is not threadsafe, you will need to manually lock the public mutex on this class to ensure thread safety if you need it.

bool Ogre::AnimationStateSet::hasAnimationState | ( | const String & | name | ) | const

Tests if state for the named animation is present.

bool Ogre::AnimationStateSet::hasEnabledAnimationState | ( | void |  | ) | const

Tests if exists enabled animation state in this set.

Definition at line 237 of file OgreAnimationState.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

void Ogre::AnimationStateSet::removeAllAnimationStates | ( | void |  | ) |

Remove all animation states.

void Ogre::AnimationStateSet::removeAnimationState | ( | const String & | name | ) |

Remove animation state with the given name.

## Member Data Documentation

AnimationStateMap Ogre::AnimationStateSet::mAnimationStates`[protected]`

Definition at line 248 of file OgreAnimationState.h.

unsigned long Ogre::AnimationStateSet::mDirtyFrameNumber`[protected]`

Definition at line 247 of file OgreAnimationState.h.

EnabledAnimationStateList Ogre::AnimationStateSet::mEnabledAnimationStates`[protected]`

Definition at line 249 of file OgreAnimationState.h.

The documentation for this class was generated from the following file:

- OgreAnimationState.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:53